name: ./rustybam
about: Mitchell R. Vollger's alignment utilities
args:
    - threads :
        short : t
        long : threads
        help : Number of threads to use for decompressing  
        takes_value : true
        global : true 
subcommands:
    - stats:
        about: Get percent identity stats from a sam/bam/cram or PAF (add --paf)
        args:
            - BAM:
                about: sam/bam/cram file
                index : 1
            - qbed:
                short: q
                long : qbed
                help: Print query coordinates first 
            - paf:
                short: p
                long : paf
                help: The input is paf format (must have cg tag with extended cigar or cs tag). 
    - nucfreq:
        about: Get the freqs of each bp at each position. 
        args:
            - BAM:
                about: sam/bam/cram file
                index : 1
            - region:
                short: r
                long : region
                takes_value : true
                help: Print nucfreq info from the input region e.g "chr1:1-1000"
            - bed:
                short: b
                long : bed
                takes_value : true
                help: Print nucfreq info from regions in the bed file, output is optionally tagged using the 4th column
            - small :
                short : s
                long : small
                help : smaller output format
    - suns:
        about: Extract the intervals in a genome (fasta) that are made up of SUNs
        args:
            - kmersize:
                short: k
                long : kmersize
                takes_value : true
                help: The size of the required unique kmer
            - maxsize:
                short: m
                long : maxsize
                takes_value : true
                help: The maximum size SUN interval to report
            - fasta:
                about: a fasta file 
                index : 1
            - validate:
                short: v
                long : validate
                help: Confirm all the SUNs (very slow) only for debugging. 
    - repeat:
        about: Report the longest repeat length at every position in a fasta.
        args:
            - min:
                short: m
                long : min
                takes_value : true
                help: The smallest repeat length to report
            - fasta:
                about: a fasta file 
                index : 1
    - liftover:
        about: liftover target sequence coordinates onto query sequence using a PAF
        args:
            - paf:
                about: PAF file from minimap2 or unimap. Must have the cg tag, and nmatches will be zero unless the cigar uses =X. 
                index : 1
            - bed:
                required: true
                short: b
                long : bed
                takes_value : true
                help: Bed file of regions to liftover
            - qbed :
                short : q
                long : qbed
                help : The bed contains query coordinates to be lifted (note the query in the original PAF will become the target in the output)
            - largest :
                short : l
                long : largest
                help : Only return the largest liftover 
     